%global pypi_name sphinx-click

Name:           python-%{pypi_name}
Version:        5.1.0
Release:        %mkrel 3
Summary:        Sphinx extension that automatically documents Click applications
Group:          Development/Python

License:        MIT
URL:            https://github.com/click-contrib/sphinx-click/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(click)
BuildRequires:  python3dist(pbr) >= 2
BuildRequires:  python3dist(sphinx)

%description
sphinx-click is a Sphinx plugin that allows you to automatically extract documentation from
a click-based application and include it in your docs.

%package -n     python3-%{pypi_name}
Summary:        Sphinx extension that automatically documents Click applications
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
sphinx-click is a Sphinx plugin that allows you to automatically extract documentation from
a click-based application and include it in your docs.

%package -n python-%{pypi_name}-doc
Summary:        Documentation for sphinx-click

%description -n python-%{pypi_name}-doc
Documentation for sphinx-click

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

export PYTHONPATH=${PWD}/build/lib
# generate html docs
sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files sphinx_click

%check
#pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE


%changelog
* Sun Mar 02 2025 wally <wally> 5.1.0-3.mga10
+ Revision: 2158721
- rebuild for python3.13

* Fri Dec 27 2024 papoteur <papoteur> 5.1.0-2.mga10
+ Revision: 2130490
- add and use pytest

* Wed Jun 05 2024 daviddavid <daviddavid> 5.1.0-1.mga10
+ Revision: 2070050
- new version: 5.1.0

* Thu Feb 22 2024 daviddavid <daviddavid> 4.3.0-2.mga10
+ Revision: 2043046
- rebuild for py3.12

* Sun Oct 02 2022 neoclust <neoclust> 4.3.0-1.mga9
+ Revision: 1894148
- New version 4.3.0

* Thu Sep 08 2022 neoclust <neoclust> 4.0.0-1.mga9
+ Revision: 1885635
- New version  4.0.0

* Tue Mar 29 2022 umeabot <umeabot> 3.1.0-2.mga9
+ Revision: 1833277
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 3.1.0-1.mga9
+ Revision: 1782448
- version 3.1.0
- rebuild for python-3.10
+ wally <wally>
- new version 3.0.1

* Sun Mar 28 2021 tv <tv> 2.3.2-2.mga9
+ Revision: 1711268
- Rebuild for python 3.9

* Fri Apr 10 2020 ovitters <ovitters> 2.3.2-1.mga8
+ Revision: 1566232
- new version 2.3.2
- drop merged patch
- add upstream patch to allow sphinx 3.x
+ wally <wally>
- drop bundled egg-info

* Thu Apr 09 2020 ovitters <ovitters> 2.3.1-1.mga8
+ Revision: 1565822
- adapt from Fedora package
- imported package python-sphinx-click


* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Dec 10 2019 Miro Hrončok <mhroncok@redhat.com> - 2.3.1-1
- Update to 2.3.1 (#1754192)

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 2.2.0-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 2.2.0-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Jun 24 2019 Miro Hrončok <mhroncok@redhat.com> - 2.2.0-1
- Update to 2.2.0 for Sphinx 2.1 official support (#1704910)

* Wed Mar 13 2019 Miro Hrončok <mhroncok@redhat.com> - 2.0.1-2
- sphinx-click 2.0.1 works with sphinx 2.0.0b1

* Sun Feb 03 2019 Miro Hrončok <mhroncok@redhat.com> - 2.0.1-1
- Update to 2.0.1 to make it build with Click 7

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.0.4-2
- Rebuilt for Python 3.7

* Wed Feb 07 2018 Michal Cyprian <mcyprian@redhat.com> - 1.0.4-1
- Initial package.
